<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

	<xsl:template match="FORUM-MODAL-FORM">
	</xsl:template>

	<xsl:template match="FORUM-MODAL-FORM" mode="initAfterBody">
		<xsl:call-template name="MODULE-MODAL-FORM" />
	</xsl:template>

	<xsl:template match="FORUM-MODAL-FORM" mode="content">
		<script type="text/javascript" src="/modules/Forum/js/Edit.js?{$version}.{$build}"></script>
		<script type="text/javascript">document.forms.SB_WizardForm.submit=ForumSubmitMessage;</script>
		<input type="hidden" name="topicId">
			<xsl:attribute name="value">
				<xsl:value-of select="@TOPIC-ID"/>
			</xsl:attribute>
		</input>
		<input type="hidden" name="messageId">
			<xsl:attribute name="value">
				<xsl:value-of select="@MESSAGE-ID"/>
			</xsl:attribute>
		</input>
		<table border="0" style="width:100%;" class="SB_Page">
			<tr>
				<td class="SB_FormView_Row">
					<xsl:apply-templates select="CONTROL" mode="TITLE-TOP">
						<xsl:with-param name="require">on</xsl:with-param>
						<xsl:with-param name="controlClass">SB_Control_Input_Input</xsl:with-param>
						<xsl:with-param name="onChange">top.sbApplyChangesObject.registerChange();</xsl:with-param>
					</xsl:apply-templates>
				</td>				
			</tr>
			<tr>
				<td>
					<span>
						<xsl:value-of select="/SITEBUILDER-PAGE/LOCALE/COMMENT"/>
					</span>
					<br/>
					<xsl:apply-templates select="WYSIWYG"/>
				</td>
			</tr>
		</table>
		<xsl:call-template name="MODULE-MODAL-FORM-OK-CANCEL-BUTTONS"/>
	</xsl:template>

</xsl:stylesheet>